Get client contact by candidate ID
curl --request GET \
--url https://api.gospott.com/clients/contacts/{candidateId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/clients/contacts/{candidateId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/clients/contacts/{candidateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"candidateId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatarUrl": "<string>",
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"countryCode": "AF",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>",
"type": "primary_home"
}
],
"lastInteractionDate": "2023-11-07T05:31:56Z",
"lastInteractionWith": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"nextInteractionDate": "2023-11-07T05:31:56Z",
"nextInteractionWith": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"lastActivityDate": "2023-11-07T05:31:56Z",
"clientContacts": [
{
"id": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"logoUrl": "<string>"
},
"role": "<string>",
"department": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"active": true,
"emailAddresses": [
{
"email": "jsmith@example.com",
"purpose": "personal",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"purpose": "personal",
"isPrimary": true
}
],
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>"
},
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"aiFillOngoing": true,
"aiOverridden": true,
"isFilledByAI": true,
"value": {
"viewType": "customText",
"text": "<string>"
}
}
]
}
],
"nextTaskDue": {
"id": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"content": "<string>"
},
"mainContact": {
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "Contact not found",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Client Contacts
Get client contact by candidate ID
Retrieve detailed information about a Contact including their personal details, company associations, contact information, interaction history, and custom attributes.
GET
/
clients
/
contacts
/
{candidateId}
Get client contact by candidate ID
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Response
Successfully retrieved Contact overview
Minimum string length:
1Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?